curl https://api.stophy.dev/v1/monitor \
-H "Authorization: Bearer $STOPHY_API_KEY"
{
"success": true,
"data": [
{
"id": "mon_gYdxFOZnpRdWHJUN",
"name": "Docs example, renamed",
"status": "active",
"schedule": {
"cron": "0 0 * * *",
"timezone": "UTC",
"everySeconds": null
},
"nextRunAt": "2026-11-18T00:00:00.000Z",
"lastRunAt": "2026-11-17T17:53:54.066Z",
"currentCheckId": null,
"targets": [
"…"
],
"goal": null,
"judgeEnabled": false,
"retentionDays": 30,
"estimatedCreditsPerMonth": 15,
"estimatedCostUsdPerMonth": 0.03,
"notification": {
"email": "…"
},
"emailRecipientSubscriptions": [],
"webhook": {
"url": "https://example.com/stophy-hook",
"events": "…",
"metadata": "…"
},
"createdAt": "2026-11-17T17:53:00.141Z",
"updatedAt": "2026-11-17T17:53:25.062Z",
"urls": [
"https://bun.com/docs/runtime/bunfig"
],
"interval": null,
"formats": [
"markdown"
],
"changeTracking": {
"modes": "…"
},
"nextCheckAt": "2026-11-18T00:00:00.000Z",
"lastCheckAt": "2026-11-17T17:53:54.066Z",
"checks": 1,
"costUsd": 0.001
}
],
"next": null,
"costUsd": 0,
"requestId": "6fdc0db3-14ae-48ea-8fa3-3c68c1866017"
}
Monitors
List monitors
List your monitors, newest first.
GET
/
v1
/
monitor
curl https://api.stophy.dev/v1/monitor \
-H "Authorization: Bearer $STOPHY_API_KEY"
{
"success": true,
"data": [
{
"id": "mon_gYdxFOZnpRdWHJUN",
"name": "Docs example, renamed",
"status": "active",
"schedule": {
"cron": "0 0 * * *",
"timezone": "UTC",
"everySeconds": null
},
"nextRunAt": "2026-11-18T00:00:00.000Z",
"lastRunAt": "2026-11-17T17:53:54.066Z",
"currentCheckId": null,
"targets": [
"…"
],
"goal": null,
"judgeEnabled": false,
"retentionDays": 30,
"estimatedCreditsPerMonth": 15,
"estimatedCostUsdPerMonth": 0.03,
"notification": {
"email": "…"
},
"emailRecipientSubscriptions": [],
"webhook": {
"url": "https://example.com/stophy-hook",
"events": "…",
"metadata": "…"
},
"createdAt": "2026-11-17T17:53:00.141Z",
"updatedAt": "2026-11-17T17:53:25.062Z",
"urls": [
"https://bun.com/docs/runtime/bunfig"
],
"interval": null,
"formats": [
"markdown"
],
"changeTracking": {
"modes": "…"
},
"nextCheckAt": "2026-11-18T00:00:00.000Z",
"lastCheckAt": "2026-11-17T17:53:54.066Z",
"checks": 1,
"costUsd": 0.001
}
],
"next": null,
"costUsd": 0,
"requestId": "6fdc0db3-14ae-48ea-8fa3-3c68c1866017"
}
curl https://api.stophy.dev/v1/monitor \
-H "Authorization: Bearer $STOPHY_API_KEY"
{
"success": true,
"data": [
{
"id": "mon_gYdxFOZnpRdWHJUN",
"name": "Docs example, renamed",
"status": "active",
"schedule": {
"cron": "0 0 * * *",
"timezone": "UTC",
"everySeconds": null
},
"nextRunAt": "2026-11-18T00:00:00.000Z",
"lastRunAt": "2026-11-17T17:53:54.066Z",
"currentCheckId": null,
"targets": [
"…"
],
"goal": null,
"judgeEnabled": false,
"retentionDays": 30,
"estimatedCreditsPerMonth": 15,
"estimatedCostUsdPerMonth": 0.03,
"notification": {
"email": "…"
},
"emailRecipientSubscriptions": [],
"webhook": {
"url": "https://example.com/stophy-hook",
"events": "…",
"metadata": "…"
},
"createdAt": "2026-11-17T17:53:00.141Z",
"updatedAt": "2026-11-17T17:53:25.062Z",
"urls": [
"https://bun.com/docs/runtime/bunfig"
],
"interval": null,
"formats": [
"markdown"
],
"changeTracking": {
"modes": "…"
},
"nextCheckAt": "2026-11-18T00:00:00.000Z",
"lastCheckAt": "2026-11-17T17:53:54.066Z",
"checks": 1,
"costUsd": 0.001
}
],
"next": null,
"costUsd": 0,
"requestId": "6fdc0db3-14ae-48ea-8fa3-3c68c1866017"
}